import React, { HTMLAttributes } from 'react';
export interface CAccordionItemContextProps {
    id: string;
    setVisible: (a: boolean) => void;
    visible?: boolean;
}
export declare const CAccordionItemContext: React.Context<CAccordionItemContextProps>;
export interface CAccordionItemProps extends HTMLAttributes<HTMLDivElement> {
    /**
     * The id global attribute defines an identifier (ID) that must be unique in the whole document.
     */
    id?: string;
    /**
     * A string of all className you want applied to the base component.
     */
    className?: string;
    /**
     * Item key.
     */
    itemKey?: number | string;
}
export declare const CAccordionItem: React.ForwardRefExoticComponent<CAccordionItemProps & React.RefAttributes<HTMLDivElement>>;
