import { ElementType, HTMLAttributes } from 'react';
import { PolymorphicRefForwardingComponent } from '../../helpers';
export interface CBreadcrumbItemProps extends HTMLAttributes<HTMLLIElement> {
    /**
     * Toggle the active state for the component.
     */
    active?: boolean;
    /**
     * Component used for the root node. Either a string to use a HTML element or a component.
     *
     * @since 5.4.0
     */
    as?: ElementType;
    /**
     * A string of all className you want applied to the base component.
     */
    className?: string;
    /**
     * The `href` attribute for the inner `<CLink>` component.
     */
    href?: string;
}
export declare const CBreadcrumbItem: PolymorphicRefForwardingComponent<'li', CBreadcrumbItemProps>;
