'use strict';

var tslib_es6 = require('../../node_modules/tslib/tslib.es6.js');
var React = require('react');
var PropTypes = require('prop-types');
var index = require('../../_virtual/index.js');
var CLink = require('../link/CLink.js');

var CBreadcrumbItem = React.forwardRef(function (_a, ref) {
    var children = _a.children, active = _a.active, as = _a.as, className = _a.className, href = _a.href, rest = tslib_es6.__rest(_a, ["children", "active", "as", "className", "href"]);
    return (React.createElement("li", tslib_es6.__assign({ className: index.default('breadcrumb-item', {
            active: active,
        }, className) }, (active && { 'aria-current': 'page' }), rest, { ref: ref }), href ? (React.createElement(CLink.CLink, { as: as, href: href }, children)) : (children)));
});
CBreadcrumbItem.propTypes = {
    active: PropTypes.bool,
    children: PropTypes.node,
    className: PropTypes.string,
    href: PropTypes.string,
};
CBreadcrumbItem.displayName = 'CBreadcrumbItem';

exports.CBreadcrumbItem = CBreadcrumbItem;
//# sourceMappingURL=CBreadcrumbItem.js.map
