import { ElementType, ImgHTMLAttributes } from 'react';
import { PolymorphicRefForwardingComponent } from '../../helpers';
export interface CCardImageProps extends ImgHTMLAttributes<HTMLImageElement | HTMLOrSVGElement | HTMLOrSVGImageElement> {
    /**
     * Component used for the root node. Either a string to use a HTML element or a component.
     */
    as?: ElementType;
    /**
     * A string of all className you want applied to the base component.
     */
    className?: string;
    /**
     * Optionally orientate the image to the top, bottom, or make it overlaid across the card.
     */
    orientation?: 'top' | 'bottom';
}
export declare const CCardImage: PolymorphicRefForwardingComponent<'img', CCardImageProps>;
