'use strict';

var tslib_es6 = require('../../node_modules/tslib/tslib.es6.js');
var React = require('react');
var PropTypes = require('prop-types');
var index = require('../../_virtual/index.js');
var CCloseButton = require('../close-button/CCloseButton.js');
var CModal = require('./CModal.js');

var CModalHeader = React.forwardRef(function (_a, ref) {
    var children = _a.children, className = _a.className, _b = _a.closeButton, closeButton = _b === undefined ? true : _b, rest = tslib_es6.__rest(_a, ["children", "className", "closeButton"]);
    var setVisible = React.useContext(CModal.CModalContext).setVisible;
    return (React.createElement("div", tslib_es6.__assign({ className: index.default('modal-header', className) }, rest, { ref: ref }),
        children,
        closeButton && React.createElement(CCloseButton.CCloseButton, { onClick: function () { return setVisible(false); } })));
});
CModalHeader.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,
    closeButton: PropTypes.bool,
};
CModalHeader.displayName = 'CModalHeader';

exports.CModalHeader = CModalHeader;
//# sourceMappingURL=CModalHeader.js.map
