'use strict';

var tslib_es6 = require('../../node_modules/tslib/tslib.es6.js');
var React = require('react');
var PropTypes = require('prop-types');
var index = require('../../_virtual/index.js');
var props = require('../../props.js');

var CNavbar = React.forwardRef(function (_a, ref) {
    var _b;
    var children = _a.children, _c = _a.as, Component = _c === undefined ? 'nav' : _c, className = _a.className, color = _a.color, colorScheme = _a.colorScheme, container = _a.container, expand = _a.expand, placement = _a.placement, rest = tslib_es6.__rest(_a, ["children", "as", "className", "color", "colorScheme", "container", "expand", "placement"]);
    return (React.createElement(Component, tslib_es6.__assign({ className: index.default('navbar', (_b = {},
            _b["bg-".concat(color)] = color,
            _b[typeof expand === 'boolean' ? 'navbar-expand' : "navbar-expand-".concat(expand)] = expand,
            _b), placement, className) }, (colorScheme && { 'data-coreui-theme': colorScheme }), rest, { ref: ref }), container ? (React.createElement("div", { className: typeof container === 'string' ? "container-".concat(container) : 'container' }, children)) : (React.createElement(React.Fragment, null, children))));
});
CNavbar.propTypes = {
    as: PropTypes.elementType,
    children: PropTypes.node,
    className: PropTypes.string,
    color: props.colorPropType,
    colorScheme: PropTypes.oneOf(['dark', 'light']),
    container: PropTypes.oneOfType([
        PropTypes.bool,
        PropTypes.oneOf([
            'sm',
            'md',
            'lg',
            'xl',
            'xxl',
            'fluid',
        ]),
    ]),
    expand: PropTypes.oneOfType([
        PropTypes.bool,
        PropTypes.oneOf(['sm', 'md', 'lg', 'xl', 'xxl']),
    ]),
    placement: PropTypes.oneOf(['fixed-top', 'fixed-bottom', 'sticky-top']),
};
CNavbar.displayName = 'CNavbar';

exports.CNavbar = CNavbar;
//# sourceMappingURL=CNavbar.js.map
