'use strict';

var React = require('react');
var PropTypes = require('prop-types');
var index = require('../../_virtual/index.js');

var TabsContext = React.createContext({});
var CTabs = React.forwardRef(function (_a, ref) {
    var children = _a.children, activeItemKey = _a.activeItemKey, className = _a.className, onChange = _a.onChange;
    var id = React.useId();
    var _b = React.useState(activeItemKey), _activeItemKey = _b[0], setActiveItemKey = _b[1];
    React.useEffect(function () {
        _activeItemKey && onChange && onChange(_activeItemKey);
    }, [_activeItemKey]);
    return (React.createElement(TabsContext.Provider, { value: { _activeItemKey: _activeItemKey, setActiveItemKey: setActiveItemKey, id: id } },
        React.createElement("div", { className: index.default('tabs', className), ref: ref }, children)));
});
CTabs.propTypes = {
    activeItemKey: PropTypes.oneOfType([PropTypes.number, PropTypes.string]).isRequired,
    children: PropTypes.node,
    className: PropTypes.string,
    onChange: PropTypes.func,
};
CTabs.displayName = 'CTabs';

exports.CTabs = CTabs;
exports.TabsContext = TabsContext;
//# sourceMappingURL=CTabs.js.map
