/**
 * useClipboard Hook
 *
 * Provides functionality to copy text to the clipboard and track the copy status.
 *
 * @returns An object containing the copy function, copy status, and any error encountered.
 */
export declare const useClipboard: () => {
    copy: (text: string) => Promise<void>;
    isCopied: boolean;
    error: Error | null;
};
